Permalink
Browse files

remove require rubygems + version bump

  • Loading branch information...
1 parent 6713677 commit 60b477a52470be5259fb40168d5fef5c67ca2d59 @arya committed Sep 7, 2009
Showing with 4 additions and 5 deletions.
  1. +1 −1 Rakefile
  2. +0 −1 lib/pandemic.rb
  3. +2 −2 pandemic.gemspec
  4. +1 −1 test/test_helper.rb
View
@@ -2,7 +2,7 @@ require 'rubygems'
require 'rake'
require 'echoe'
-Echoe.new('pandemic', '0.5.3') do |p|
+Echoe.new('pandemic', '0.5.4') do |p|
p.description = "A framework for distributing work for real-time services and offline tasks."
p.url = "https://github.com/arya/pandemic/"
p.author = "Arya Asemanfar"
View
@@ -1,4 +1,3 @@
-require 'rubygems'
require 'socket'
require 'fastthread' if RUBY_VERSION < '1.9'
require 'thread'
View
@@ -2,11 +2,11 @@
Gem::Specification.new do |s|
s.name = %q{pandemic}
- s.version = "0.5.3"
+ s.version = "0.5.4"
s.required_rubygems_version = Gem::Requirement.new(">= 1.2") if s.respond_to? :required_rubygems_version=
s.authors = ["Arya Asemanfar"]
- s.date = %q{2009-08-16}
+ s.date = %q{2009-09-07}
s.description = %q{A framework for distributing work for real-time services and offline tasks.}
s.email = %q{aryaasemanfar@gmail.com}
s.extra_rdoc_files = ["lib/pandemic/client_side/cluster_connection.rb", "lib/pandemic/client_side/config.rb", "lib/pandemic/client_side/connection.rb", "lib/pandemic/client_side/connection_proxy.rb", "lib/pandemic/client_side/pandemize.rb", "lib/pandemic/connection_pool.rb", "lib/pandemic/mutex_counter.rb", "lib/pandemic/requests_per_second.rb", "lib/pandemic/server_side/client.rb", "lib/pandemic/server_side/config.rb", "lib/pandemic/server_side/handler.rb", "lib/pandemic/server_side/peer.rb", "lib/pandemic/server_side/processor.rb", "lib/pandemic/server_side/request.rb", "lib/pandemic/server_side/server.rb", "lib/pandemic/util.rb", "lib/pandemic.rb", "README.markdown"]
View
@@ -3,9 +3,9 @@
$LOAD_PATH.unshift "#{TEST_DIR}/../#{dir}"
end
+require 'rubygems'
require 'test/unit'
require 'pandemic'
-require 'rubygems'
require 'shoulda'
require 'mocha'

0 comments on commit 60b477a

Please sign in to comment.